Package org.mariadb.jdbc.message.client

## Interface RedoableClientMessage

All Superinterfaces:
  `org.mariadb.jdbc.message.ClientMessage`

All Known Subinterfaces:
  `RedoableWithPrepareClientMessage`

All Known Implementing Classes:
  `BulkExecutePacket`, `ChangeDbPacket`, `ExecutePacket`, `QueryPacket`, `QueryWithParametersPacket`

    public interface RedoableClientMessage
    extends org.mariadb.jdbc.message.ClientMessage

### Method Summary

All Methods Instance Methods Default Methods
`default int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context, Prepare newPrepareResult)`
`default void` `ensureReplayable​(org.mariadb.jdbc.client.Context context)`
`default int` `reEncode​(Writer writer, org.mariadb.jdbc.client.Context context, Prepare newPrepareResult)`
`default void` `saveParameters()`

### Methods inherited from interface org.mariadb.jdbc.message.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, encode, readPacket`

### Method Detail

#### saveParameters

    default void saveParameters()

#### ensureReplayable

    default void ensureReplayable​(org.mariadb.jdbc.client.Context context)
                           throws IOException,
                                  SQLException

Throws:
  `IOException`
  `SQLException`

#### encode

    default int encode​(Writer writer,
                       org.mariadb.jdbc.client.Context context,
                       Prepare newPrepareResult)
                throws IOException,
                       SQLException

Throws:
  `IOException`
  `SQLException`

#### reEncode

    default int reEncode​(Writer writer,
                         org.mariadb.jdbc.client.Context context,
                         Prepare newPrepareResult)
                  throws IOException,
                         SQLException

Throws:
  `IOException`
  `SQLException`